package br.org.senacagil;

import java.util.ArrayList;
import java.util.List;

public class Cliente {
	
	private String nome;
	private double saldo;
	private List<Venda> listVendas = new ArrayList<Venda>();
	
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public double getSaldo() {
		return saldo;
	}
	public void setSaldo(double saldo) {
		this.saldo = saldo;
	}
	
	public List<Venda> getListVendas() {
		return listVendas;
	}
	public void setListVendas(List<Venda> listVendas) {
		this.listVendas = listVendas;
	}
	
	public double getTotalVenda() {
		double total = 0;
		for (Venda l : listVendas) {
			total += l.getTotal();
   		    System.out.println("   total venda = " + total);			
		}
		return total;
	}
	
	public String toString() {
		return "Cliente = " + nome + "; Saldo = " + saldo;
	}
}
